<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
ini_set('memory_limit', '256M');
error_reporting(E_ALL);

// creer les constantes principales 
define("CHEMIN",__DIR__."/");
define("APP",CHEMIN."app/");

include(APP."starter.php");

// demande d'affichage d'une page spéciale
if(isset($_GET['template'])){
    $template=$_GET['template'];
    if(file_exists($template)){
        include($template);
    } else {
        echo "Page de template inexistante";
        die();
    }
    die();
} 
/* 
charger les fichiers de base
contrôler qu'un fichier n'existe pas dans config
*/
$loadfiles=array(
    "code-header.php",
    "code-pageheader.php",
    "code-main.php",
    "code-viewer.php",
    "code-footer.php"
);
foreach($loadfiles as $file){
    include(getSnippetFile($file));
}
?> 